GCJH(1)

NAME
gcjh - - generate header files from Java class files

SYNOPSIS
gcjh [OPTIONS]... CLASS...

DESCRIPTION
The "gcjh" program is used to generate header files from class files. It can generate both CNI and JNI header files, as well as stub implementation files which can be used as a basis for implementing the required native methods. It is similar to "javah" but has slightly different command line options, and defaults to CNI.

OPTIONS
See "javah" for a full description; this page only lists the additional options provided by "gcjh".

CNI text options

-add text
    Insert text into class body.

-append text
    Append text after class declaration.

-friend text
    Insert text as a "friend" declaration.

-prepend text
    Insert text before start of class.

Compatibility options (unused)

-td DIR
-M
-MM
-MD
-MMD
    Unused compatibility option.

Standard options:

-help
    Print help text, then exit.

-version
    Print version number, then exit.

-JOPTION
    Pass argument to the Java runtime.

BUGS

SEE ALSO
javac(1), javah(1), ...

AUTHOR